<?php
/**
* Header Options.
*
* @package Event Decorations
*/

$event_decorations_default = event_decorations_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'event_decorations_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'event-decorations' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'event_decorations_theme_option_panel',
	)
);

$wp_customize->add_setting('event_decorations_sticky',
    array(
        'default' => $event_decorations_default['event_decorations_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'event_decorations_sanitize_checkbox',
    )
);
$wp_customize->add_control('event_decorations_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'event-decorations'),
        'section' => 'event_decorations_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('event_decorations_menu_font_size',
    array(
        'default'           => $event_decorations_default['event_decorations_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'event_decorations_sanitize_number_range',
    )
);
$wp_customize->add_control('event_decorations_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'event-decorations'),
        'section'     => 'event_decorations_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'event_decorations_menu_text_transform',
    array(
    'default'           => $event_decorations_default['event_decorations_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'event_decorations_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'event_decorations_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'event-decorations' ),
    'section'     => 'event_decorations_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'event-decorations' ),
        'uppercase'  => esc_html__( 'Uppercase', 'event-decorations' ),
        'lowercase'    => esc_html__( 'Lowercase', 'event-decorations' ),
        ),
    )
);

$wp_customize->add_setting( 'event_decorations_header_email',
    array(
    'default'           => $event_decorations_default['event_decorations_header_email'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'event_decorations_header_email',
    array(
    'label'    => esc_html__( 'Header Email', 'event-decorations' ),
    'section'  => 'event_decorations_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'event_decorations_header_phone_number',
    array(
    'default'           => $event_decorations_default['event_decorations_header_phone_number'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'event_decorations_header_phone_number',
    array(
    'label'    => esc_html__( 'Header Phone Number', 'event-decorations' ),
    'section'  => 'event_decorations_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting('event_decorations_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'event_decorations_header_menus_color', array(
    'label'    => __('Main Menu Color', 'event-decorations'),
    'section'  => 'event_decorations_button_header_setting',
)));

$wp_customize->add_setting('event_decorations_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'event_decorations_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'event-decorations'),
    'section'  => 'event_decorations_button_header_setting',
)));

$wp_customize->add_setting('event_decorations_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'event_decorations_header_submenus_color', array(
    'label'    => __('Submenu Color', 'event-decorations'),
    'section'  => 'event_decorations_button_header_setting',
)));

$wp_customize->add_setting('event_decorations_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'event_decorations_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'event-decorations'),
    'section'  => 'event_decorations_button_header_setting',
)));